### Virtual Method

# Foundry Vcs fetch

#### Declaration [src]

    DexFuture*
    fetch (
      FoundryVcs* self,
      FoundryVcsRemote* remote,
      FoundryOperation* operation
    )

#### Description

No description available.

#### Parameters

`remote`

  Type: `FoundryVcsRemote`

  A `FoundryVcsRemote`.

  The data is owned by the caller of the method.

`operation`

  Type: `FoundryOperation`

  A `FoundryOperation`.

  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to any value or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.